server:
  port: 18190
spring:
  # redis配置
  redis:
    database: 0
    host: 127.0.0.1
    port: 6379
    password: empress
    timeout: 6000ms           # 连接超时时长（毫秒）
    lettuce:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms    # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接
  rabbitmq:
    xMsgTtl: 301000
    host: 127.0.0.1
    port: 5672
    username: tester01
    password: 123456
    virtual-host: xingxi-test
    publisher-confirm-type: correlated
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      publickey: MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAJuY2YFPanMmwVxHazZdOZ/y/LZr1+ZmyzAhstDZ0lCn4Vc3DI7Iw10+w4XJVGD3fnLjFMbPL1ip9eclpTAu6G0CAwEAAQ==
      # 主库数据源
      master:
        url: jdbc:mysql://47.98.144.243:3306/empress?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=GMT%2B8
        username: root
        #password: $TyH69i4EEG^om!!
        password: X8IGlcnhdUcDGawphPHww8z7Xu4a800fhPr9Y6FGquTAAjSsrfhz1+VWYjGyO7pr4Ef5rs4QGpLPA4//mq2gNA==
        connectionProperties: config.decrypt=true;config.decrypt.key=${spring.datasource.druid.publickey}
      # 从库数据源
      slave:
        # 从数据源开关/默认关闭
        enabled: false
        url:
        username:
        password:
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /monitor/druid/*
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
        config:
          enabled: true
# 日志配置
logging:
  config: classpath:logback-test.xml
  level:
    "cn.com.xingxi": debug
    org.springframework: warn
    org.apache.http: info

wx:
  miniapp:
    appid: "wx12e34630814e5d30"
    secret: "fc06d584d8544a00f0ff9df65a30af02"
  pay:
    mch-id: "1709337210"
    apiv3-key: "mF9oH1oV9wY3gL8iW3kU4fJ7fE1dW4vK"
    cert-serial-no: 4FBE124DE5AAD53E1FF52E740131A6072FE692F1
    private-key-path: "classpath:META-INF/apiclient_key.pem"
    private-cert-path: "classpath:META-INF/apiclient_cert.pem"
    refundcallbackUrl: "https://managertest.gululuq.com/unifiedpay/wxpay/refund/callback"